@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Miniver&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "times new roman", serif;
}
:root{
    /* Colors */
    --white-color: #fff;
    --logo-color: #fefbf3;
    --primary-color: #032c44;
    --secondary-color: #f7b520;

    /* Font size */
    --font-size-s: 0.9rem;
    --font-size-n: 1rem;
    --font-size-m: 1.12rem;
    --font-size-l: 1.5rem;
    --font-size-xl: 2rem;
    --font-size-xxl: 2.3rem;

    /* Font weight */
    --font-weight-normal: 400;
    --font-weight-medium: 500;
    --font-weight-semibold: 600;
    --font-weight-bold: 700;

    /* Border radius */
    --border-radius-s: 8px;
    --border-radius-m: 30px;
    --border-radius-circle: 50%;

    /* Site max width */
    --site-max-width:1600px;
}

html{
    scroll-behavior: smooth;
}

/* Global Styles */
button{
    cursor: pointer;
    border: none;
    outline: none;
    background: none;
}
img{
    width:100%
}
ul{
    list-style: none;
}
a{
    text-decoration: none;
}

body {
    background-color: var(--logo-color);
}

.section-content{
    margin: 0 auto;
    padding: 0 20px;
    max-width: var(--site-max-width);
}

/* Navbar Styles */
.logo-img{
    max-width: 40px;
}
header {
    position: fixed;
    width: 100%;
    z-index: 5;
    background: var(--primary-color);
}

header .navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
}

.navbar .nav-logo .logo-text{
    color: var(--logo-color);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-semibold);
}

.navbar .nav-menu {
    display: flex;
    gap: 10px;
}

.navbar .nav-menu .nav-link {
padding: 10px 18px;
color: var(--white-color);
font-size: var(--font-size-m);
background: var(--primary-color);
border-radius: var(--border-radius-m);
transition: 0.3s ease-in-out;
}

.navbar .nav-menu .nav-link:hover {
    background: var(--secondary-color);
    color: var(--white-color);
}
/* Hide the x and burger menu when screen is large*/
.navbar #menu-open-button, #menu-close-button {
    display: none;
}

/* Hero Section Styles */
.hero-section {
    min-height: 100vh;
    background: var(--logo-color);
}

.hero-section .section-content {
    display: flex;
    align-items: center;
    min-height: 100vh;
    color: var(--primary-color);
    justify-content: space-between;
}

.hero-section .hero-details .title{
    font-size: var(--font-size-xxl);
    font-weight: var(--font-weight-bold);
    font-family: "miniver", serif;
    color: var(--secondary-color);
}

.hero-section .hero-details .subtitle{
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-semibold);
    margin-top: 8px;
    max-width: 70%;
    
}

.hero-section .hero-details .subsubtitle{
    font-size: var(--font-size-l);
    font-weight: var(--font-weight-normal);
    margin: 24px 0 40px;
    max-width: 70%;
    color: gray
}

.hero-section .hero-image-wrapper{  
    max-width: 50%;
    }
    /* Hero Button Styles */
.hero-section .hero-details .button-contact-us{
    padding: 10px 26px;
    border: 2px solid transparent;
    font-weight: var(--font-weight-medium);
    border-radius: var(--border-radius-m);
    color: var(--white-color);
    background: var(--secondary-color);
    transition: 0.3s ease-in-out;
}

.hero-section .hero-details .button-contact-us:hover{
    background: var(--primary-color);
    color: var(--white-color);
    transition: 0.3s ease-in-out;
}
/* services section */
.services-section{
    padding: 100px 0;
    background-color: var(--logo-color);
    
}
.services-section .services-list{
    background-color: var(--logo-color);
    display: flex;
    gap: 110px;
    align-items: center;
    margin-bottom: 40px;
    justify-content: space-between;
}
 .services-section .services-list .services-item{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
    text-align: left;
    padding-bottom: 100px;
    width: calc(100%/3 - 110px);
    }
.services-section .services-list .services-item .services-title{
    font-size: var(--font-size-l);
    font-weight: var(--font-weight-bold);
    color: var(--primary-color);
}
.services-section .services-list .services-item .services-subtitle{
    font-size: var(--font-size-m);
    font-weight: var(--font-weight-semibold);
    color: gray;
    text-align: left;
    }
.services-section .services-list .services-item .bullet-points{
    margin-top: 10px;
    font-size: var(--font-size-n);
    color: rgb(77, 77, 77);
}

.services-section .services-list .services-item .services-description{
    font-size: var(--font-size-n);
    color: rgb(77, 77, 77);
    text-align: left;
    margin-left: 50px;
    margin-right: 50px;
}

/*Contact us Section*/
.contact-section{
    background-color: var(--logo-color);
    padding: 50px 0 100px;
}

.contact-section .section-content{
    display : flex;
    gap: 48px;
    align-items: flex-start;
    justify-content: space-between;
}

.contact-section  .contact-info-list .contact-info{
    display: flex;
    align-items: center;
    gap: 20px;
    margin: 20px 0;
}
.contact-title{
    text-align: center;
    padding: 60px 0 100px;
    color: var(--secondary-color);
    font-size: var(--font-size-xl);
    font-family: "miniver", serif;
}
.contact-title::after{
    content:"";
    display: block;
    width: 160px;
    height: 5px;
    display: block;
    margin: 10px auto 0;
    border-radius: var(--border-radius-s);
    background-color: var(--primary-color);
}
.contact-section .contact-form .form-input {
    width: 100%;
    height: 40px;
    padding: 0 12px;
    outline: none;
    margin-bottom: 16px;
    background: var(--white-color);
    border-radius: var(--border-radius-s);
    border: 1px solid gray;
}

.contact-section .contact-form {
    max-width: 50%;
}

.contact-section .contact-form .form-input:focus {
    border-color: var(--secondary-color);
}

.contact-section .contact-form textarea.form-input{
    height: 150px;
    padding: 12px;
    resize: vertical;
}

.contact-section .contact-form .submit-button{
    padding: 10px 26px;
    margin-top: 10px;
    color: white;
    font-weight: var(--font-weight-medium);
    font-size: var(--font-size-m);
    background: var(--secondary-color);
    border-radius: var(--border-radius-m);
    transition: 0.3s ease-in-out;
}
.contact-section .contact-form .submit-button:hover{
    background: var(--primary-color);
    color: var(--white-color);
    transition: 0.3s ease-in-out;
}

/* Footer Section */

.footer-section :where(.copyright-text){
    color: var(--white-color);
    font-size: var(--font-size-s);
}
.footer-section{
    background-color: var(--primary-color);
    padding: 20px 0;
    text-align: center;
    display: flex;
}

/* Responsive Styles For 1024px*/
@media screen and (max-width: 1024px){
.services-section .services-list{
    gap: 60px;
    }

.services-section .services-list .services-item{
    width: calc(100%/2 - 60px);
    }
}
/* Responsive Styles For 900px*/
@media screen and (max-width: 900px){

    :root{
        --font-size-m: 1rem;
        --font-size-l: 1.3rem;
        --font-size-xl: 1.5rem;
        --font-size-xxl: 1.8rem;
    }

    body.show-mobile-menu header::before{
        content: "";
        position: fixed;
        left: 0;
        top: 0;
        height: 100%;
        width: 100%;
        backdrop-filter: blur(5px);
        background: rgba(0,0,0,0.2);
    }

    /* Show the x and burger menu when screen is smaller*/
    .navbar #menu-open-button, #menu-close-button {
        display: block;
        font-size: var(--font-size-l);
    }
    
    .navbar #menu-close-button {
        position: absolute;
        right: 30px;
        top: 30px;
    }

    .navbar #menu-open-button {
        color: var(--white-color);
    }

    .navbar .nav-menu {
        display: block;
        position: fixed;
        top: 0;
        left: -300px;
        width : 300px;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-top: 100px;
        background: var(--white-color);
        transition: left 0.2s ease-in-out;
    }

    body.show-mobile-menu .navbar .nav-menu {
        left: 0px;
    }

    .navbar .nav-menu .nav-link {
        display: block;
        margin-top: 17px;
        font-size: var(--font-size-l);
        color: var(--dark-color);
        background: none;
    }

    .hero-section .section-content {
        gap: 50px;
        text-align: center;
        padding: 30px 20px 20px;
        flex-direction: column-reverse;
        justify-content: center;
    }
    .hero-section .hero-details :is(.subtitle, .subsubtitle), .services-section .services-description, .contact-section .contact-form{
        max-width: 100%;
    }

    .hero-section .hero-image-wrapper{
        max-width: 270px;
        margin-right: 0;
    }

    .services-section .services-list{
        flex-wrap: wrap;
        gap: 20px;
        margin-bottom: 20px;
    }


.services-section .services-list .services-item{
    width: 100%;
    padding-bottom: 30px;
    }

    .contact-section .section-content{
        align-items: center;
        flex-direction: column-reverse;
    }

}